<?php
/**
 * Sociable Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Sociable Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function sociable_pro_custom_colors_css() {
  	$options= sociable_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	## Background Color
	--------------------------------------------------------------*/
	.backtotop,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.widget_search form.search-form .search-submit:hover,
	.widget_search form.search-form .search-submit:focus,
	input[type="submit"],
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.reply a,
	.section-icon,
	.btn,
	.view-all .btn:hover,
	.view-all .btn:focus,
	#masthead .social-icons li a:hover,
	#masthead .social-icons li a:focus,
	#colophon .social-icons li a:hover,
	#colophon .social-icons li a:focus,
	.project-slider .slick-dots li.slick-active button,
	ul.slick-filter,
	.more-link,
	.single .posted-on a,
	.single .entry-meta .tags-links a:hover,
	.single .entry-meta .tags-links a:focus,
	.tagcloud a:hover,
	.tagcloud a:focus,
	#secondary .tagcloud a:hover,
	#secondary .tagcloud a:focus,
	#colophon .tagcloud a:hover,
	#colophon .tagcloud a:focus,
	#colophon .widget-title:before,
	#colophon .widgettitle:before,
	.second-design .btn,
	.second-design .view-all .btn,
	.second-design #introduction-section article.has-post-thumbnail:before,
	.second-design ul.slick-filter li.active a, 
	.second-design ul.slick-filter li a:hover, 
	.second-design ul.slick-filter li a:focus,
	.third-design .btn:hover,
	.third-design .btn:focus,
	.business-read-more a,
	#business-slider .slick-dots li.slick-active button,
	.business-section-title:after,
	#business-about-us .entry-title:after,
	#business-subscribe-us button[type="submit"],
	.business-service-icon a,
	#top-bar,
	#medical-reasons,
	#medical-features .medical-feature-item:hover,
	#medical-news .date,
	#medical-news .date:before,
	.fifth-design #our-partners {
	    background-color: '. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## Text Color
	--------------------------------------------------------------*/
	a,
	.site-title a:hover,
	.site-title a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.post-navigation a:hover, 
	.posts-navigation a:hover,
	.post-navigation a:focus, 
	.posts-navigation a:focus,
	.widget_popular_post h3 a:hover,
	.widget_popular_post h3 a:focus,
	.widget_popular_post a:hover time,
	.widget_popular_post a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_post h3 a:hover,
	.widget_featured_post h3 a:focus,
	.widget_featured_post a:hover time,
	.widget_featured_post a:focus time,
	.widget_popular_post a time,
	.widget_popular_post time,
	.widget_latest_post a time,
	.widget_latest_post time,
	.widget_featured_post a time,
	.widget_featured_post time,
	#secondary a:hover,
	#secondary a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a,
	.comment-metadata a time,
	.comment-metadata a:hover,
	.comment-metadata a:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.view-all .btn,
	.btn:hover,
	.btn:focus,
	#introduction-section .entry-title a:hover,
	#introduction-section .entry-title a:focus,
	.project-item-wrapper .entry-title a:hover,
	.project-item-wrapper .entry-title a:focus,
	.project-item-wrapper .post-categories a:hover,
	.project-item-wrapper .post-categories a:focus,
	ul.slick-filter li.active a,
	ul.slick-filter li a:hover,
	ul.slick-filter li a:focus,
	.blog-post-item .entry-title a:hover,
	.blog-post-item .entry-title a:focus,
	.author.vcard a:hover,
	.author.vcard a:focus,
	.reaction-link a:hover,
	.comments-link a:hover,
	.share-link a:hover,
	.reaction-link a:focus,
	.comments-link a:focus,
	.share-link a:focus,
	.single .post-categories a:hover,
	.single .post-categories a:focus,
	#colophon .site-info a,
	#colophon a:hover,
	#colophon a:focus,
	.second-design #introduction-section .entry-title a,
	.second-design .section-title,
	.third-design #introduction-section .entry-title a:hover,
	.third-design #introduction-section .entry-title a:focus,
	#popular-posts .entry-title a:hover,
	#popular-posts .entry-title a:focus,
	.business-service-item .entry-title a:hover,
	.business-service-item .entry-title a:focus,
	#medical-features .feature-icon a,
	#medical-news .entry-title a:hover,
	#medical-news .entry-title a:focus,
	#medical-about-us .entry-title a:hover,
	#medical-about-us .entry-title a:focus,
	#medical-services .entry-title a:hover,
	#medical-services .entry-title a:focus,
	.woocommerce ul.products li.product .price {
	    color: '. esc_attr( $color_value ) .';
	}

	.loader-container svg,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.widget svg,
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:focus svg, 
	.navigation.post-navigation a:focus svg,
	.reaction-link a:hover svg,
	.comments-link a:hover svg,
	.share-link a:hover svg,
	.reaction-link a:focus svg,
	.comments-link a:focus svg,
	.share-link a:focus svg {
	    fill: '. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## Border Color
	--------------------------------------------------------------*/
	.btn,
	.btn:hover,
	.btn:focus,
	.view-all .btn:hover,
	.view-all .btn:focus,
	#masthead .social-icons li a:hover,
	#masthead .social-icons li a:focus,
	#colophon .social-icons li a:hover,
	#colophon .social-icons li a:focus,
	.second-design .btn,
	.second-design .view-all .btn,
	.second-design #introduction-section article.has-post-thumbnail:before,
	.second-design ul.slick-filter li a,
	.third-design .btn:hover,
	.third-design .btn:focus,
	.business-service-item:hover {
	    border-color: '. esc_attr( $color_value ) .';
	}

	.medical-service-item .entry-header {
		border-bottom-color: '. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## Responsive Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 767px) {
	    #introduction-section article.has-post-thumbnail:before {
	        border-color: '. esc_attr( $color_value ) .';
	    }
	}

	@media screen and (min-width: 1024px) {
	    .main-navigation li.menu-item-has-children:hover > a > svg, 
	    .main-navigation li.menu-item-has-children > a:hover > svg,
	    .main-navigation ul#primary-menu > li.current-menu-item > a > svg {
	        fill: '. esc_attr( $color_value ) .';
	    }
	    #masthead .main-navigation ul#primary-menu li.current-menu-item > a,
	    #masthead .main-navigation ul.nav-menu > li > a:hover,
	    #masthead .main-navigation ul.nav-menu > li > a:focus,
	    .main-navigation ul#primary-menu li:hover > a {
	        color: '. esc_attr( $color_value ) .';
	    }
	    .main-navigation ul.sub-menu li:hover > a,
	    .main-navigation ul.sub-menu li:focus > a {
	        background-color: '. esc_attr( $color_value ) .';
	    }
	}

	/*--------------------------------------------------------------
	## Preloader
	--------------------------------------------------------------*/
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	    25% {height:30px;transform:translateY(15px);background: '. esc_attr( $color_value ) .';}
	    50% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	    100% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	}
	';

	/**
	 * Filters Sociable Pro custom colors CSS.
	 *
	 * @since Sociable Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'sociable_pro_custom_colors_css', $css );
}
