<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage Sociable Pro
* @since Sociable Pro 1.0.0
*/

if ( ! function_exists( 'sociable_pro_introduction_title_partial' ) ) :
    // introduction title
    function sociable_pro_introduction_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['introduction_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_introduction_description_partial' ) ) :
    // introduction description
    function sociable_pro_introduction_description_partial() {
        $options = sociable_pro_get_theme_options();
        return wp_kses_post( $options['introduction_description'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_introduction_btn_title_partial' ) ) :
    // introduction btn title
    function sociable_pro_introduction_btn_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['introduction_btn_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_introduction_sub_title_partial' ) ) :
    // introduction sub title
    function sociable_pro_introduction_sub_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['introduction_sub_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_portfolio_title_partial' ) ) :
    // portfolio title
    function sociable_pro_portfolio_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['portfolio_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_portfolio_description_partial' ) ) :
    // portfolio description
    function sociable_pro_portfolio_description_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['portfolio_description'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_portfolio_btn_label_partial' ) ) :
    // portfolio btn_label
    function sociable_pro_portfolio_btn_label_partial() {
        $options = sociable_pro_get_theme_options();
        return wp_kses_post( $options['portfolio_btn_label'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_instagram_title_partial' ) ) :
    // instagram title
    function sociable_pro_instagram_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['instagram_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_instagram_description_partial' ) ) :
    // instagram description
    function sociable_pro_instagram_description_partial() {
        $options = sociable_pro_get_theme_options();
        return wp_kses_post( $options['instagram_description'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_instagram_btn_label_partial' ) ) :
    // instagram btn_label
    function sociable_pro_instagram_btn_label_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['instagram_btn_label'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_youtube_title_partial' ) ) :
    // youtube title
    function sociable_pro_youtube_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['youtube_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_youtube_description_partial' ) ) :
    // youtube description
    function sociable_pro_youtube_description_partial() {
        $options = sociable_pro_get_theme_options();
        return wp_kses_post( $options['youtube_description'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_youtube_btn_label_partial' ) ) :
    // youtube btn_label
    function sociable_pro_youtube_btn_label_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['youtube_btn_label'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_blog_title_partial' ) ) :
    // blog title
    function sociable_pro_blog_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['blog_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_blog_description_partial' ) ) :
    // blog description
    function sociable_pro_blog_description_partial() {
        $options = sociable_pro_get_theme_options();
        return wp_kses_post( $options['blog_description'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_blog_btn_title_partial' ) ) :
    // blog btn title
    function sociable_pro_blog_btn_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['blog_btn_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_popular_title_partial' ) ) :
    // popular title
    function sociable_pro_popular_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['popular_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_subscription_title_partial' ) ) :
    // subscription title
    function sociable_pro_subscription_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['subscription_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_subscription_sub_title_partial' ) ) :
    // subscription title
    function sociable_pro_subscription_sub_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['subscription_sub_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_subscription_btn_label_partial' ) ) :
    // subscription title
    function sociable_pro_subscription_btn_label_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['subscription_btn_label'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_recent_product_title_partial' ) ) :
    // recent_product title
    function sociable_pro_recent_product_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['recent_product_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_recent_product_sub_title_partial' ) ) :
    // recent_product title
    function sociable_pro_recent_product_sub_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['recent_product_sub_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_latest_product_title_partial' ) ) :
    // latest_product title
    function sociable_pro_latest_product_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['latest_product_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_latest_product_sub_title_partial' ) ) :
    // latest_product title
    function sociable_pro_latest_product_sub_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['latest_product_sub_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_cta_btn_title_partial' ) ) :
    // cta_btn title
    function sociable_pro_cta_btn_title_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['cta_btn_title'] );
    }
endif;

if ( ! function_exists( 'sociable_pro_copyright_text_partial' ) ) :
    // copyright text
    function sociable_pro_copyright_text_partial() {
        $options = sociable_pro_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;
