<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Sociable Pro
 * @since Sociable Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'sociable_pro_header_meta_section', array(
	'title'             => esc_html__( 'Header Meta','sociable-pro' ),
	'description'       => esc_html__( 'Header Meta options.', 'sociable-pro' ),
	'panel'             => 'sociable_pro_front_page_panel',
) );

// top bar menu visible
$wp_customize->add_setting( 'sociable_pro_theme_options[header_meta_social_enable]',
	array(
		'default'       	=> $options['header_meta_social_enable'],
		'sanitize_callback' => 'sociable_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Sociable_Pro_Switch_Control( $wp_customize, 'sociable_pro_theme_options[header_meta_social_enable]',
    array(
		'label'      		=> esc_html__( 'Display Social Menu', 'sociable-pro' ),
		'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show topbar menu.', 'sociable-pro' ), esc_html__( 'Click Here', 'sociable-pro' ), esc_html__( 'to create menu', 'sociable-pro' ) ),
		'section'    		=> 'sociable_pro_header_meta_section',
		'on_off_label' 		=> sociable_pro_switch_options(),
    )
) );
