<?php
$wp_customize->add_section( 'sociable_pro_subscription_section', array(
	'title'             => esc_html__( 'Subscription','sociable-pro' ),
	'description'       => esc_html__( 'Subscription Section options.', 'sociable-pro' ),
	'panel'             => 'sociable_pro_front_page_panel',
	'active_callback' 	=> 'sociable_pro_is_subscription_design_enable',
) );

// subscription content enable control and setting
$wp_customize->add_setting( 'sociable_pro_theme_options[subscription_section_enable]', array(
	'default'			=> 	$options['subscription_section_enable'],
	'sanitize_callback' => 'sociable_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Sociable_Pro_Switch_Control( $wp_customize, 'sociable_pro_theme_options[subscription_section_enable]', array(
	'label'             => esc_html__( 'Subscription Section Enable', 'sociable-pro' ),
	'section'           => 'sociable_pro_subscription_section',
	'on_off_label' 		=> sociable_pro_switch_options(),
) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'sociable_pro_theme_options[subscription_section_enable]', array(
		'selector'            => ',subscribe .tooltiptext',
		'settings'            => 'sociable_pro_theme_options[subscription_section_enable]',
    ) );
}


// subscription title setting and control
$wp_customize->add_setting( 'sociable_pro_theme_options[subscription_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'sociable_pro_theme_options[subscription_title]', array(
	'label'           	=> esc_html__( 'Title', 'sociable-pro' ),
	'section'        	=> 'sociable_pro_subscription_section',
	'active_callback' 	=> 'sociable_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'sociable_pro_theme_options[subscription_title]', array(
		'selector'            => '#subscribe-section h3.widget-title',
		'settings'            => 'sociable_pro_theme_options[subscription_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'sociable_pro_subscription_title_partial',
    ) );
}

// subscription sub title setting and control
$wp_customize->add_setting( 'sociable_pro_theme_options[subscription_sub_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_sub_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'sociable_pro_theme_options[subscription_sub_title]', array(
	'label'           	=> esc_html__( 'Sub Title', 'sociable-pro' ),
	'section'        	=> 'sociable_pro_subscription_section',
	'active_callback' 	=> 'sociable_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'sociable_pro_theme_options[subscription_sub_title]', array(
		'selector'            => '#subscribe-section #subscribe-text p',
		'settings'            => 'sociable_pro_theme_options[subscription_sub_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'sociable_pro_subscription_sub_title_partial',
    ) );
}

// Clients image setting and control.
	$wp_customize->add_setting( 'sociable_pro_theme_options[subscription_image]', array(
		'sanitize_callback' => 'sociable_pro_sanitize_image',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'sociable_pro_theme_options[subscription_image]',
			array(
			'label'       		=>  esc_html__( 'Background Image ', 'sociable-pro' ),
			'section'     		=> 'sociable_pro_subscription_section',
			'active_callback'	=> 'sociable_pro_is_subscription_section_enable',
	) ) );

// subscription description setting and control
$wp_customize->add_setting( 'sociable_pro_theme_options[subscription_description]', array(
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( 'sociable_pro_theme_options[subscription_description]', array(
	'label'           	=> esc_html__( 'Description', 'sociable-pro' ),
	'section'        	=> 'sociable_pro_subscription_section',
	'active_callback' 	=> 'sociable_pro_is_subscription_section_enable',
	'type'				=> 'textarea',
) );

// subscription sub title setting and control
$wp_customize->add_setting( 'sociable_pro_theme_options[subscription_btn_label]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_btn_label'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'sociable_pro_theme_options[subscription_btn_label]', array(
	'label'           	=> esc_html__( 'Button Label', 'sociable-pro' ),
	'section'        	=> 'sociable_pro_subscription_section',
	'active_callback' 	=> 'sociable_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'sociable_pro_theme_options[subscription_btn_label]', array(
		'selector'            => '#subscribe-section #subscribe-submit button',
		'settings'            => 'sociable_pro_theme_options[subscription_btn_label]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'sociable_pro_subscription_btn_label_partial',
    ) );
}
