<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Sociable Pro
 * @since Sociable Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'sociable_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','sociable-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'sociable-pro' ),
	'panel'             => 'sociable_pro_front_page_panel',
	'active_callback' 	=> 'sociable_pro_is_topbar_design_enable',
) );

// Topbar content enable control and setting
$wp_customize->add_setting( 'sociable_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'sociable_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Sociable_Pro_Switch_Control( $wp_customize, 'sociable_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'sociable-pro' ),
	'section'           => 'sociable_pro_topbar_section',
	'on_off_label' 		=> sociable_pro_switch_options(),
) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'sociable_pro_theme_options[topbar_section_enable]', array(
		'selector'            => '#top-bar .wrapper',
		'settings'            => 'sociable_pro_theme_options[topbar_section_enable]',
    ) );
}


// topbar email setting and control
$wp_customize->add_setting( 'sociable_pro_theme_options[topbar_address]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['topbar_address'],
	'transport'			=> 'refresh',
) );

$wp_customize->add_control( 'sociable_pro_theme_options[topbar_address]', array(
	'label'           	=> esc_html__( 'Address', 'sociable-pro' ),
	'section'        	=> 'sociable_pro_topbar_section',
	'active_callback' 	=> 'sociable_pro_is_topbar_section_enable',
	'type'				=> 'text',
) );



// topbar phone setting and control
$wp_customize->add_setting( 'sociable_pro_theme_options[topbar_phone]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['topbar_phone'],
	'transport'			=> 'refresh',
) );

$wp_customize->add_control( 'sociable_pro_theme_options[topbar_phone]', array(
	'label'           	=> esc_html__( 'Phone No.', 'sociable-pro' ),
	'section'        	=> 'sociable_pro_topbar_section',
	'active_callback' 	=> 'sociable_pro_is_topbar_section_enable',
	'type'				=> 'text',
) );


// topbar email setting and control
$wp_customize->add_setting( 'sociable_pro_theme_options[topbar_email]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['topbar_email'],
	'transport'			=> 'refresh',
) );

$wp_customize->add_control( 'sociable_pro_theme_options[topbar_email]', array(
	'label'           	=> esc_html__( 'Email ID', 'sociable-pro' ),
	'section'        	=> 'sociable_pro_topbar_section',
	'active_callback' 	=> 'sociable_pro_is_topbar_section_enable',
	'type'				=> 'text',
) );
