<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Sociable Pro
* @since Sociable Pro 1.0.0
*/

if ( ! function_exists( 'sociable_pro_validate_long_excerpt' ) ) :
  function sociable_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'sociable-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'sociable-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'sociable-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'sociable_pro_validate_clients_count' ) ) :
  function sociable_pro_validate_clients_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'sociable-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'sociable-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'sociable-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'sociable_pro_validate_portfolio_count' ) ) :
  function sociable_pro_validate_portfolio_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'sociable-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'sociable-pro' ) );
     } elseif ( $value > 20 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 20', 'sociable-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'sociable_pro_validate_instagram_count' ) ) :
  function sociable_pro_validate_instagram_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'sociable-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'sociable-pro' ) );
     } elseif ( $value > 25 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 25', 'sociable-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'sociable_pro_validate_youtube_count' ) ) :
  function sociable_pro_validate_youtube_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'sociable-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'sociable-pro' ) );
     } elseif ( $value > 25 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 25', 'sociable-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'sociable_pro_validate_blog_count' ) ) :
  function sociable_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'sociable-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'sociable-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'sociable-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'sociable_pro_validate_popular_count' ) ) :
  function sociable_pro_validate_popular_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'sociable-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'sociable-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'sociable-pro' ) );
     }
     return $validity;
  }
endif;
