<?php
/**
 * featured_product section
 *
 * This is the template for the content of featured_product section
 *
 * @package Theme Palace
 * @subpackage Sociable Pro
 * @since Sociable Pro 1.0.0
 */
if ( ! function_exists( 'sociable_pro_add_featured_product_section' ) ) :
    /**
    * Add featured_product section
    *
    *@since Sociable Pro 1.0.0
    */
    function sociable_pro_add_featured_product_section() {
        $options = sociable_pro_get_theme_options();
        // Check if featured_product is enabled on frontpage
        $featured_product_enable = apply_filters( 'sociable_pro_section_status', true, 'featured_product_section_enable' );

        if ( !in_array( $options['home_layout'], array( 'sixth-design', 'default-design' ) ) ) {
             $featured_product_enable = false;
        }

        if ( true !== $featured_product_enable ) {
            return false;
        }

        // Render featured_product section now.
        sociable_pro_render_featured_product_section(  );
    }
endif;


if ( ! function_exists( 'sociable_pro_render_featured_product_section' ) ) :
  /**
   * Start featured_product section
   *
   * @return string featured_product content
   * @since Sociable Pro 1.0.0
   *
   */
   function sociable_pro_render_featured_product_section( ) {
        $options = sociable_pro_get_theme_options();
        ?>
        <div id="sociable_pro_featured_product_section">
            <div id="featured-products" class="relative page-section same-background">
                <div class="wrapper">
                    <?php if ( is_customize_preview()): ?>
                        <?php sociable_pro_section_tooltip( 'featured-products' ); ?>
                    <?php endif ?>
                    <div class="col-3 clear">
                        <?php for ( $i=1; $i <= $options['featured_product_count'] ; $i++ ) { 
                            $image = ! array_key_exists( 'featured_product_image_'.$i, $options ) ? get_template_directory_uri() . '/assets/uploads/no-featured-image-590x650.jpg' : $options['featured_product_image_'.$i] ;
                        ?>
                            <article>
                                <div class="featured-image" style="background-image: url('<?php echo esc_url( $image ) ?>');">
                                    <div class="entry-container">
                                        <header class="entry-header">
                                            <?php if ( !empty($options['featured_product_title_'.$i]) ): ?>
                                                <h2 class="entry-title">
                                                    <a href="<?php echo esc_url( $options['featured_product_url_'.$i] ); ?>"><?php echo esc_html( $options['featured_product_title_'.$i] ); ?></a></h2>
                                            <?php endif ?>
                                            <?php if ( !empty($options['featured_product_sub_title_'.$i]) ): ?>
                                               <span><?php echo esc_html( $options['featured_product_sub_title_'.$i] ); ?></span>
                                            <?php endif ?>
                                        </header>
                                    </div><!-- .entry-container -->
                                </div><!-- .featured-image -->
                            </article>
                        <?php } ?>
                        
                    </div><!-- .grid --> 
                </div><!-- .wrapper -->
            </div><!-- #latest-products -->
        </div>
              
<?php    }
endif;

