<?php
/**
 *
 * This is the template for the content of subscription section
 *
 * @package Theme Palace
 * @subpackage Shopall Pro
 * @since Shopall Pro 1.0.0
 */
if ( ! function_exists( 'sociable_pro_add_subscription_section' ) ) :
    /**
    * Add about section
    *
    *@since Shopall Pro 1.0.0
    */
    function sociable_pro_add_subscription_section() {
        $options = sociable_pro_get_theme_options();
        // Check if about is enabled on frontpage
        $subscription_enable = apply_filters( 'sociable_pro_section_status', true, 'subscription_section_enable' );
        if( !in_array( $options['home_layout'], array( 'fourth-design', 'default-design', 'sixth-design' ) )){
            $subscription_enable = false;
        }
        if ( true !== $subscription_enable ) {
            return false;
        }
       

        // Render about section now.
        sociable_pro_render_subscription_section( );
    }
endif;


if ( ! function_exists( 'sociable_pro_render_subscription_section' ) ) :
  /**
   * Start about section
   *
   * @return string about content
   * @since Shopall Pro 1.0.0
   *
   */
   function sociable_pro_render_subscription_section( ) {
   
       
         if ( ! class_exists( 'Jetpack' ) ) {
            return;
        } elseif ( class_exists( 'Jetpack' ) ) {
            if ( ! Jetpack::is_module_active( 'subscriptions' ) )
                return;
        }
        $options = sociable_pro_get_theme_options();
         $image   = empty( $options['subscription_image'] ) ? '' : $options['subscription_image'] ;
         $subscription_title   = empty( $options['subscription_title'] ) ? '' : $options['subscription_title'] ;
         $subscription_sub_title   = empty( $options['subscription_sub_title'] ) ? '' : $options['subscription_sub_title'] ;
        $subscription_description   = empty( $options['subscription_description'] ) ? '' : $options['subscription_description'] ;
        ?>
        <div id="sociable_pro_subscription_section">
          <div id="business-subscribe-us" class="subscribe relative page-section" style="background-image: url('<?php echo esc_url( $image ) ; ?>');">
                <div class="overlay"></div>
                <div class="wrapper">
                  <?php if ( is_customize_preview()): ?>
                        <?php sociable_pro_section_tooltip( 'subscribe-class' ); ?>
                    <?php endif ?>
                    <div class="subscribe-form-wrapper">
                        <p class="subtitle"><?php echo esc_html( $subscription_sub_title ); ?>r</p>
                        <div class="jetpack_subscription_widget">
                            <h3 class="widget-title"><?php echo esc_html( $subscription_title ); ?></h3>
                            <?php 
                                $subscription_shortcode = '[jetpack_subscription_form title="" subscribe_text="' . esc_html( $options['subscription_description'] ) . '" subscribe_button="' . esc_html( $options['subscription_btn_label'] ) . '" show_subscribers_total="0"]';
                                echo do_shortcode( wp_kses_post( $subscription_shortcode ) ); 
                            ?>
                        </div>
                    </div><!-- .subscribe-form-wrapper -->
                </div><!-- .wrapper -->
            </div><!-- #sbusiness-ubscribe-us -->
        </div>
        

        <?php 
    }
endif;

            