<?php
/**
 * Youtube section
 *
 * This is the template for the content of youtube section
 *
 * @package Theme Palace
 * @subpackage Sociable Pro
 * @since Sociable Pro 1.0.0
 */
if ( ! function_exists( 'sociable_pro_add_youtube_section' ) ) :
    /**
    * Add youtube section
    *
    *@since Sociable Pro 1.0.0
    */
    function sociable_pro_add_youtube_section() {
    	$options = sociable_pro_get_theme_options();
        // Check if youtube is enabled on frontpage
        $youtube_enable = apply_filters( 'sociable_pro_section_status', true, 'youtube_section_enable' );
        if( in_array( $options['home_layout'], array( 'fourth-design', 'fifth-design' ) )){
            $youtube_enable = false;
        }

        if ( true !== $youtube_enable ) {
            return false;
        }

        // Render youtube section now.
        sociable_pro_render_youtube_section();
    }
endif;

if ( ! function_exists( 'sociable_pro_render_youtube_section' ) ) :
  /**
   * Start youtube section
   *
   * @return string youtube content
   * @since Sociable Pro 1.0.0
   *
   */
   function sociable_pro_render_youtube_section() {
        $options = sociable_pro_get_theme_options();
        $column = ! empty( $options['youtube_column_type'] ) ? $options['youtube_column_type'] : 'col-4';
        $count = ! empty( $options['youtube_count'] ) ? $options['youtube_count'] : 4;
        ?>
        <div id="sociable_pro_youtube_section">
          <div id="video-section" class="youtube relative page-section">
            <div class="wrapper">
              <?php if ( is_customize_preview()): ?>
                  <?php sociable_pro_section_tooltip( 'youtube-class' ); ?>
              <?php endif ?>
                <?php if ( ! empty( $options['youtube_icon'] ) ) : ?>
                    <div class="section-icon">
                        <i class="fa <?php echo esc_attr( $options['youtube_icon'] ); ?>" ></i>
                    </div><!-- .section-icon -->
                <?php endif; ?>

                <?php if ( ! empty( $options['youtube_title'] ) ) : ?>
                    <div class="section-header">
                        <h2 class="section-title"><?php echo esc_html( $options['youtube_title'] ); ?></h2>
                    </div><!-- .section-header -->
                <?php endif;

                if ( ! empty( $options['youtube_description'] ) ) : ?>
                    <div class="section-subtitle">
                        <p><?php echo wp_kses_post( $options['youtube_description'] ); ?></p>
                    </div><!-- .section-subtitle -->
                <?php endif; ?>
                
                <?php echo do_shortcode( '[youtube-feed]' ); ?>
            </div><!-- .wrapper -->
        </div><!-- #youtube-section -->
        </div>
        

    <?php }
endif;